diff --git a/assets/js/controllers/Tco01207_controller_geral.js b/assets/js/controllers/Tco01207_controller_geral.js
index 06a9c3d..be7539c 100644
--- a/assets/js/controllers/Tco01207_controller_geral.js
+++ b/assets/js/controllers/Tco01207_controller_geral.js
@@ -156,7 +156,14 @@ var Tco01207_controller_geral = function(ScreenService, General, Tco01200Cardapi
             filter.P_DSOBSERVACAO = popupFinish.currentRow.DSOBSERVACAO;
             filter.P_IDMOTIVO = "FINALIZADO";
             Tco01200CardapioDaPropostaService.finish(filter).then(response => {
-                this.afterSuccess(widget, filter);
+                if (response.dataset.ERROR) {
+                    TcoUtil.buildMessagesToShow(response.dataset.ERROR).then(function(mensagens) {
+                        General.showErrorMessages(widget, mensagens, ScreenService.i18n("Erro"));
+                    });
+                }
+                else{
+                    this.afterSuccess(widget, filter);
+                }
             }, error => {
                 this.afterError(widget, error);
             });
